#ifndef _CPLAYERUP_HPP_
#define _CPLAYERUP_HPP_

/*** SDL Header Files ***/
#include "SDL.h"

/*** TrooperEngine DLL Header Files ***/
#include "TrooperEngine.hpp"

/*** Custom Header Files ***/
#include "../cPaddle.hpp"

namespace Input {
	class cPlayerUp : public InputEngine::cKey
	{
	public:
		cPlayerUp( SDL_Keycode key, Equipment::cPaddle** player );
		~cPlayerUp();

		///Funtions
		/* Call if the key is pressed */
		void KeyPress();
		/* Call if the key is up */
		void KeyUP();
		/* Call if the key is down */
		void KeyDown();

	private:
	private:
		Equipment::cPaddle** mpp_player;
	};/// END CLASS DEFINITION cPlayerUp
}/// END NAMESPACE DEFINITION Input
#endif/// END IFNDEF _CPLAYERUP_HPP_